Bug 317198

Summary: background-color for message window for HTML Message need to be adjustable
Product: kmail2 Reporter: Samuel Suther <s.suther>
Component: UIAssignee: kdepim bugs <kdepim-bugs>
Status: RESOLVED FIXED    
Severity: normal CC: montel
Priority: NOR    
Version: 4.10.1   
Target Milestone: ---   
Platform: Ubuntu Packages   
OS: Linux   
Latest Commit: Version Fixed In: 4.11
Attachments: View as HTML-Mail
View as Text-Mail

Description Samuel Suther 2013-03-22 16:18:03 UTC
I use a dark-Theme in KDE.
With the Message-Window in KMAIL, i've got some Problems with HTML-Messages.

For Text-Messages, the Color looks pretty fine:

http://ompldr.org/vaHVrYw/WG: [rennbahn-slotcar.de] New order - -000958 - info@suther.de-Posteingang – Kontact_023.png

But for HTML-Messages, is need to set a light-Background, cause most Users on the web are using such white-Background. And without this, the font is not realy everytime  readable:

http://ompldr.org/vaHVraA/WG: [rennbahn-slotcar.de] New order - -000958 - info@suther.de-Posteingang – Kontact_024.png

I think, a option in Color-Setting of Kmail-Options for Message-body Color for HTML-Messages will solve the Problem.


Reproducible: Always
Comment 1 Samuel Suther 2013-03-22 16:23:35 UTC
Please can you remove the links out of my first post. I've seen to late, that i can upload images here.
Comment 2 Samuel Suther 2013-03-22 16:24:57 UTC
Created attachment 78295 [details]
View as HTML-Mail

This is the view of an HTML-Mail . Blue Font on Dark background is not readable.
Comment 3 Samuel Suther 2013-03-22 16:26:00 UTC
Created attachment 78296 [details]
View as Text-Mail

View as Textmail. Good readable.
Comment 4 Laurent Montel 2013-03-22 17:06:20 UTC
color is define in your html mail no ?
Comment 5 Laurent Montel 2013-03-25 06:23:44 UTC
could you send me your email in private please ?
Comment 6 Laurent Montel 2013-03-25 18:41:06 UTC
Git commit 43e3a506d40ebc74fb31cc4eacbb1f790773a70e by Montel Laurent.
Committed on 25/03/2013 at 19:40.
Pushed by mlaurent into branch 'master'.

Fix Bug 317198 - background-color for message window for HTML Message need to be adjustable

FIXED-IN: 4.11

M  +11   -5    kmail/configuredialog.cpp
M  +1    -1    messageviewer/csshelper.cpp

http://commits.kde.org/kdepim/43e3a506d40ebc74fb31cc4eacbb1f790773a70e